# pod의 이미지, 자원, 배포 관련 설정
imagePullPolicy: IfNotPresent
updateStrategy:
  type: Recreate
logLevel: info

portal:
  image:
    repository: goharbor/harbor-portal
  resources:
    limits:
      cpu: 300m
      memory: 100Mi
    requests:
      cpu: 100m
      memory: 50Mi
  nodeSelector: {}
  tolerations: []

core:
  image:
    repository: goharbor/harbor-core
  resources:
    limits:
      cpu: 300m
      memory: 100Mi
    requests:
      cpu: 100m
      memory: 50Mi
  nodeSelector: {}
  tolerations: []


jobservice:
  image:
    repository: goharbor/harbor-jobservice
  resources:
    limits:
      cpu: 300m
      memory: 100Mi
    requests:
      cpu: 100m
      memory: 30Mi
  nodeSelector: {}
  tolerations: []


registry:
  registry:
    image:
      repository: goharbor/registry-photon
    resources:
      limits:
        cpu: 300m
        memory: 1000Mi
      requests:
        cpu: 100m
        memory: 250Mi

  controller:
    image:
      repository: goharbor/harbor-registryctl
  nodeSelector: {}
  tolerations: []

trivy:
  enabled: true
  image:
    repository: goharbor/trivy-adapter-photon
  nodeSelector: {}
  tolerations: []
  
persistence:
  enabled: true
  persistentVolumeClaim:
    registry:
      storageClass: ""
      size: 10Gi
    jobservice:
      jobLog:
        storageClass: ""
        size: 1Gi
    redis:
      storageClass: ""
      size: 1Gi
    trivy:
      storageClass: ""
      size: 1Gi

# harbor 설정
externalURL: https://harbor.example.org
harborAdminPassword: "password"
internalTLS:
  enabled: true
  certSource: "auto"

# ingress 설정  
expose:
  type: ingress
  tls:
    enabled: true
    certSource: secret
    secret:
      secretName: "harbor-tls"
  ingress:
    hosts:
      core: harbor.example.org
    annotations:
      nginx.ingress.kubernetes.io/ssl-redirect: "true"
      nginx.ingress.kubernetes.io/proxy-body-size: "10g"
      cert-manager.io/cluster-issuer: "selfsigned-issuer"

database:
  type: internal
  internal:
    image:
      repository: goharbor/harbor-db
    password: "postgres"
    shmSizeLimit: 512Mi
    nodeSelector: {}
    tolerations: []
  # type: external
  # external:
  #   host: "postgresql-postgresql-ha-postgresql"
  #   port: "5432"
  #   username: "postgres"
  #   password: "postgres"
  #   coreDatabase: "registry"

redis:
  type: internal
  internal:
    # set the service account to be used, default if left empty
    image:
      repository: goharbor/redis-photon
    resources:
      limits:
        cpu: 300m
        memory: 100Mi
      requests:
        cpu: 100m
        memory: 20Mi
    nodeSelector: {}
    tolerations: []